=== debian/changelog ===
glite-lb-common (8.1.3-2) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:45:08 +0200
