=== debian/control ===
Source: glite-lb-common
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libc-ares-dev, libclassad1, libclassad-dev, libexpat1, libexpat1-dev, libcppunit-dev, libglite-jobid-api-cpp-dev, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-trio-dev, libtool
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lb-common13
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping common headers and library
 glite-lb-common is a package containing gLite LB common files shared by client
 and daemons. This package contains the LB common library and all necessary
 header
 files.

Package: libglite-lb-common-dev
Section: libdevel
Architecture: any
Provides: glite-lb-common
Depends: libglite-lb-common13 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev
Description: Development files for gLite L&B common library
 This package contains development libraries and header files for gLite L&B
 common library.

Package: glite-lb-common-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lb-common13 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B common library debugging symbols
 This package contains debugging symbols for gLite L&B common library.
