## glite-lb-common 8.1.4

=== Makefile ===
--- 
+++ 
@@ -240,6 +240,7 @@
 
 clean:
 	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/ test_parse il_test parse.cpp events.tex status.tex
+	rm -rvf ${REPORTS}
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
