## glite-lb-common 8.2.1

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,14 @@
 
 expat_prefix=/opt/expat
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
+version=${module.version}
+
 jobiddir=${top_srcdir}/../org.glite.jobid.api-c
-
-version=${module.version}
 
 VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc
 AT3=${stagedir}${prefix}/sbin/glite-lb-at3
@@ -24,6 +26,17 @@
 SUFFIXES = .T
 
 CC=gcc
+
+SOURCES=\
+	doc/*.dox doc/*.tex.T \
+	examples/perf_*.log \
+	interface/*.h interface/*.h.T \
+	m4/*.m4 \
+	project/.post* \
+	src/*.c src/*.c.T src/*.sh \
+	test/*.cpp test/*.cpp.T \
+	LICENSE Makefile
+SOURCES_EXEC=src/*.sh
 
 DEBUG:=-g -O0 -Wall
 
@@ -52,6 +65,7 @@
 EXPAT_LIBS?=${expatlib} -lexpat
 CLASSADS_CFLAGS?=-I${classads_prefix}/include -I${classads_prefix}/include/classad
 CLASSADS_LIBS?=${classadslib} -lclassad
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
 
 CFLAGS:=${DEBUG} -I${top_srcdir}/src -I${top_srcdir}/interface \
 	-I. \
@@ -62,7 +76,7 @@
 	${COVERAGE_FLAGS} \
 	-D_GNU_SOURCE \
 	-DDATAGRID_EXTENSION ${LB_STANDALONE_FLAGS} \
-	-DBUILDING_LB_COMMON ${CFLAGS}
+	-DBUILDING_LB_COMMON ${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
 
 LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir} \
 	${COVERAGE_FLAGS}
@@ -122,8 +136,6 @@
 else
 STAGE_PERFTEST=true
 endif
-
-default: all
 
 generate: ${GEN_HDRS}
 
@@ -182,7 +194,7 @@
 stage: compile
 	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes
 
-check: compile mkreports check.parse check.il
+check: compile mkreports check.parse check.il check.query_rec
 
 mkreports:
 	-mkdir -p ${REPORTS}
@@ -198,6 +210,12 @@
 
 il_test: il_test.o il_int_test.o il_string_test.o il_msg_test.o
 	${LINKXX} -o $@ $+ ${default_commonlib} ${CPPUNIT_LIBS} ${EXT_LIBS}
+
+check.query_rec: test_query_rec
+	./test_query_rec
+
+test_query_rec: test_query_rec.o
+	${LINK} $< -o $@ ${JOBID_LIB}
 
 test_coverage:
 	-mkdir coverage
@@ -239,12 +257,16 @@
 	${STAGE_PERFTEST} ;
 
 clean:
-	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/ test_parse il_test parse.cpp events.tex status.tex
+	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/ test_parse il_test parse.cpp events.tex status.tex test_query_rec
 	rm -rvf ${REPORTS}
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
 
+test_query_rec.o: query_rec.c
+	${COMPILE} ${CFLAGS} -DGLITE_LB_QUERY_REC_TEST -c $< -o $@
+
 %.o: %.c
 	${COMPILE} ${CFLAGS} -c $<
 
@@ -273,3 +295,5 @@
 	rm -f $@
 	${AT3} $< >$@ || ( rm -f $@; false )
 	chmod -w $@ >/dev/null
+
+.PHONY: default all generate compile stage check mkreports check.parse check.il testcoverage doc olddoc install clean distclean dist distcheck
