=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libc-ares-dev, libclassad1, libclassad-dev, libexpat1, libexpat1-dev, libcppunit-dev, libglite-jobid-api-cpp-dev, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-trio-dev, libtool
+Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libc-ares-dev, libclassad0-dev | libclassad-dev, libexpat1, libexpat1-dev, libcppunit-dev, libglite-jobid-api-cpp-dev, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-trio-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch
@@ -24,7 +24,7 @@
 Section: libdevel
 Architecture: any
 Provides: glite-lb-common
-Depends: libglite-lb-common13 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev
+Depends: glite-lb-types, libglite-lb-common13 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev
 Description: Development files for gLite L&B common library
  This package contains development libraries and header files for gLite L&B
  common library.
