=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common-8.1.4 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common-8.2.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)
