## glite-lb-common 9.0.5

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 jobiddir=${top_srcdir}/../org.glite.jobid.api-c
 
 VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc
-AT3=${stagedir}${prefix}/sbin/glite-lb-at3
+AT3=${stagedir}${prefix}/bin/glite-lb-at3
 
 SUFFIXES = .T
 
@@ -34,8 +34,8 @@
 	m4/*.m4 \
 	project/.post* \
 	src/*.c src/*.c.T src/*.sh \
-	test/*.cpp test/*.cpp.T \
-	LICENSE Makefile
+	test/*.c test/*.cpp test/*.cpp.T \
+	Makefile
 SOURCES_EXEC=src/*.sh
 
 DEBUG:=-g -O0 -Wall
@@ -153,8 +153,8 @@
 # where offset is a sum of maximal released minor's of all previous major's
 # 
 
-# counted minors: 1.1, 2.0, 3.1, 4.0, 5.1, 6.1, 7.1
-offset=5
+# counted minors: 1.1, 2.0, 3.1, 4.0, 5.1, 6.1, 7.1, 8.2
+offset=7
 
 version_info:=-version-info ${shell \
 	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
@@ -222,6 +222,9 @@
 	cd coverage && $(MAKE) -f ../Makefile top_srcdir=../../ COVERAGE_FLAGS="-fprofile-arcs -ftest-coverage" check
 	cd coverage && for i in ${OBJS}; do gcov -o .libs/ $$i ; done
 
+padding: padding.o
+	${LINK} $< -o $@
+
 cjobid.c strmd5.c:
 	if [ ! -d ${jobiddir} ]; then echo "Directory ${jobiddir} not found"; exit 1; fi
 	mkdir -p glite/jobid
@@ -241,10 +244,8 @@
 
 install: 
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+#	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	${INSTALL} -m 755 ${lib_LTLIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
 #	cp -r C CPP ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} ;
 	(cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}) ;
@@ -257,12 +258,13 @@
 	${STAGE_PERFTEST} ;
 
 clean:
-	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/ test_parse il_test parse.cpp events.tex status.tex test_query_rec
+	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/
+	rm -fv test_parse il_test parse.cpp events.tex status.tex test_query_rec padding
 	rm -rvf ${REPORTS}
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 test_query_rec.o: query_rec.c
 	${COMPILE} ${CFLAGS} -DGLITE_LB_QUERY_REC_TEST -c $< -o $@
