=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
 Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
 
-Package: libglite-lb-common13
+Package: libglite-lb-common16
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -24,7 +24,7 @@
 Section: libdevel
 Architecture: any
 Provides: glite-lb-common
-Depends: glite-lb-types, libglite-lb-common13 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev
+Depends: glite-lb-types, libglite-lb-common16 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev
 Description: Development files for gLite L&B common library
  This package contains development libraries and header files for gLite L&B
  common library.
@@ -33,6 +33,6 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: libglite-lb-common13 (= ${binary:Version}), ${misc:Depends}
+Depends: libglite-lb-common16 (= ${binary:Version}), ${misc:Depends}
 Description: gLite L&B common library debugging symbols
  This package contains debugging symbols for gLite L&B common library.
