## glite-lb-common 9.0.8

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,11 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 jobiddir=${top_srcdir}/../org.glite.jobid.api-c
 
-VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc
+VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc:${top_srcdir}/project
 AT3=${stagedir}${prefix}/bin/glite-lb-at3
 
 SUFFIXES = .T
@@ -32,7 +33,7 @@
 	examples/perf_*.log \
 	interface/*.h interface/*.h.T \
 	m4/*.m4 \
-	project/.post* \
+	project/.post* project/*.pc.in \
 	src/*.c src/*.c.T src/*.sh \
 	test/*.c test/*.cpp test/*.cpp.T \
 	Makefile
@@ -129,6 +130,8 @@
 default_commonlib=${NOTHRLTLIB}
 endif
 
+PKG_CONFIG_FILES=common.pc
+
 ifdef LB_PERF
 STAGE_PERFTEST=mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/perftest; \
 		${INSTALL} -m 644 ${top_srcdir}/examples/*.log ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/perftest; \
@@ -142,7 +145,7 @@
 common_version.h: ${top_srcdi${top_srcdir}/project/version.properties
 	echo "#define GLITE_LB_COMMON_VERSION \"${version}\"" >$@
 
-all compile: generate ${lib_LTLIBRARIES} ${lib_LIBRARIES}
+all compile: generate ${lib_LTLIBRARIES} ${lib_LIBRARIES} ${PKG_CONFIG_FILES}
 
 # In order to use libtool versioning correcty, we must have:
 #
@@ -243,10 +246,10 @@
 	doxygen CPP.dox
 
 install: 
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
-#	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig
+#	mkdir -p ${DESTDIR}${PREFIX}${docdir}
 	${INSTALL} -m 755 ${lib_LTLIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}
-#	cp -r C CPP ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+#	cp -r C CPP ${DESTDIR}${PREFIX}${docdir}
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} ;
 	(cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}) ;
 	${INSTALL} -m 644 ${GEN_HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} ;
@@ -255,10 +258,11 @@
 		mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/wmsutils/jobid ; \
 		${INSTALL} -m 644 glite/wmsutils/jobid/*.h ${DESTDIR}${PREFIX}${prefix}/include/glite/wmsutils/jobid/ ; \
 	fi ;
+	${INSTALL} -m 644 common.pc ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig/glite-lb-common.pc
 	${STAGE_PERFTEST} ;
 
 clean:
-	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/
+	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/ *.pc
 	rm -fv test_parse il_test parse.cpp events.tex status.tex test_query_rec padding
 	rm -rvf ${REPORTS}
 	rm -rvf dist ${package}-*.tar.gz
@@ -269,13 +273,13 @@
 test_query_rec.o: query_rec.c
 	${COMPILE} ${CFLAGS} -DGLITE_LB_QUERY_REC_TEST -c $< -o $@
 
-%.o: %.c
+%.o: %.c ${GEN_HDRS}
 	${COMPILE} ${CFLAGS} -c $<
 
 il_int_test.o il_string_test.o il_test.o il_msg_test.o parse.o: %.o: %.cpp test_main.cpp
 	${CXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<
 
-%.thr.o: %.c
+%.thr.o: %.c ${GEN_HDRS}
 	${COMPILE} ${CFLAGS} -D_REENTRANT -DGLITE_LB_THREADED -o $@ -c $<
 
 %.h: %.h.T
@@ -298,4 +302,7 @@
 	${AT3} $< >$@ || ( rm -f $@; false )
 	chmod -w $@ >/dev/null
 
+%.pc: %.pc.in
+	sed -e "s,@PREFIX@,${PREFIX}${prefix}," -e "s/@VERSION@/${version}/" -e "s/@LIBDIR@/${libdir}/" $< > $@
+
 .PHONY: default all generate compile stage check mkreports check.parse check.il testcoverage doc olddoc install clean distclean dist distcheck
