## glite-lb-common 9.1.1

=== Makefile ===
--- 
+++ 
@@ -90,8 +90,10 @@
 endif
 
 COMPILE:=libtool --mode=compile ${CC}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
-LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
+COMPILEXX:=libtool --mode=compile ${CXX}
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
+SOLINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
+LINKXX:=libtool --mode=link  ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
 OBJS:=${JOBID_OBJS} ${PERF_OBJS} lb_plain_io.o events.o mini_http.o query_rec.o \
@@ -168,7 +170,7 @@
 	ranlib $@
 
 ${LTLIB}: ${THROBJS}
-	${LINK} ${version_info} -o $@ ${THRLOBJS} \
+	${SOLINK} ${version_info} -o $@ ${THRLOBJS} \
 		-lglite_security_gss \
 		${EXT_LIBS} \
 		-lm
@@ -182,13 +184,13 @@
 	ranlib $@
 
 ${NOTHRLTLIB}: ${OBJS}
-	${LINK} ${version_info} -o $@ ${LOBJS} \
+	${SOLINK} ${version_info} -o $@ ${LOBJS} \
 		-lglite_security_gss_${nothrflavour} \
 		${EXT_LIBS} \
 		-lm
 
 ${THRLTLIB}: ${THROBJS}
-	${LINK} ${version_info} -o $@ ${THRLOBJS} \
+	${SOLINK} ${version_info} -o $@ ${THRLOBJS} \
 		-lglite_security_gss_${thrflavour} \
 		${EXT_LIBS} \
 		-lm
@@ -197,7 +199,7 @@
 stage: compile
 	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes
 
-check: compile mkreports check.parse check.il check.query_rec
+check: compile mkreports check.parse check.il check.query_rec check.context
 
 mkreports:
 	-mkdir -p ${REPORTS}
@@ -219,6 +221,12 @@
 
 test_query_rec: test_query_rec.o
 	${LINK} $< -o $@ ${JOBID_LIB}
+
+test_context: context_test.o test_main.cpp
+	${LINKXX} $< -o $@ ${default_commonlib} ${CPPUNIT_LIBS}
+
+check.context: test_context
+	./test_context ${REPORTS}/context.xml
 
 test_coverage:
 	-mkdir coverage
@@ -263,7 +271,7 @@
 
 clean:
 	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/ *.pc
-	rm -fv test_parse il_test parse.cpp events.tex status.tex test_query_rec padding
+	rm -fv test_parse il_test parse.cpp events.tex status.tex test_query_rec padding test_context
 	rm -rvf ${REPORTS}
 	rm -rvf dist ${package}-*.tar.gz
 
@@ -276,8 +284,8 @@
 %.o: %.c ${GEN_HDRS}
 	${COMPILE} ${CFLAGS} -c $<
 
-il_int_test.o il_string_test.o il_test.o il_msg_test.o parse.o: %.o: %.cpp test_main.cpp
-	${CXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<
+il_int_test.o il_string_test.o il_test.o il_msg_test.o parse.o context_test.o: %.o: %.cpp test_main.cpp
+	${COMPILEXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<
 
 %.thr.o: %.c ${GEN_HDRS}
 	${COMPILE} ${CFLAGS} -D_REENTRANT -DGLITE_LB_THREADED -o $@ -c $<
@@ -305,4 +313,4 @@
 %.pc: %.pc.in
 	sed -e "s,@PREFIX@,${PREFIX}${prefix}," -e "s/@VERSION@/${version}/" -e "s/@LIBDIR@/${libdir}/" $< > $@
 
-.PHONY: default all generate compile stage check mkreports check.parse check.il testcoverage doc olddoc install clean distclean dist distcheck
+.PHONY: default all generate compile stage check mkreports check.parse check.il check.context testcoverage doc olddoc install clean distclean dist distcheck
