=== debian/control ===
Source: glite-lb-common
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), glite-lb-types, libc-ares-dev, libclassad0-dev | libclassad-dev, libexpat1, libexpat1-dev, libcppunit-dev, libglite-jobid-api-cpp-dev, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-trio-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-lb-common16
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping common headers and library
 glite-lb-common is a package containing gLite LB common files shared by client
 and daemons. This package contains the LB common
 library.

Package: libglite-lb-common-dev
Section: libdevel
Architecture: any
Provides: glite-lb-common
Depends: glite-lb-types, libglite-lb-common16 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev
Description: Development files for gLite L&B common library
 glite-lb-common is a package containing gLite LB common files shared by client
 and daemons. This package contains the LB common
 library.
 .
 This package contains development libraries and header files for gLite L&B
 common library.

Package: libglite-lb-common16-dbg
Section: debug
Architecture: any
Depends: libglite-lb-common16 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B common library
 glite-lb-common is a package containing gLite LB common files shared by client
 and daemons. This package contains the LB common
 library.
 .
 This package contains debugging symbols for gLite L&B common library.
