=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.common/glite-lb-common-(.*)\.tar\.gz
